package com.xmomen.module.job.model;

import java.io.Serializable;
import java.util.Date;

public class PackageTaskModel implements Serializable {

    private Integer id;

    // 采购编号
    private String purchaseCode;

    // 采购明细ID
    private Integer purchaseId;

    // 任务类型
    private Integer jobType;

    // 任务状态
    private Integer jobStatus;

    // 任务执行人
    private Integer jobUser;

    // 任务创建时间
    private Date jobCreateTime;

    // 任务开始时间
    private Date jobBeginTime;

    // 包装的产品
    private Integer cdItemId;

    // 销售单位
    private String sellUnit;

    // 需要包装的份数
    private Integer countValue;

    // 包装完成的份数
    private Integer finishValue;

    // 未完成的份数
    private Integer noFinishValue;

    // 任务完成时间
    private Date finishTime;

    // 任务创建人
    private Integer jobCreateUser;

    // 商品编码
    private String itemCode;

    // 商品名称
    private String itemName;

    // 任务执行人名称
    private String jobUserName;

    // 商品规格
    private String spec;

    // 采摘人
    private String caizaiUser;

    // 检测人
    private String jianceUser;

    // 农残率
    private String nongCanLv;

    // 生产地
    private String yieldly;

    // 获取商品编码
    public String getItemCode() {
        return itemCode;
    }

    // 设置商品编码
    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    // 获取商品名称
    public String getItemName() {
        return itemName;
    }

    // 设置商品名称
    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    // 获取任务执行人名称
    public String getJobUserName() {
        return jobUserName;
    }

    // 设置任务执行人名称
    public void setJobUserName(String jobUserName) {
        this.jobUserName = jobUserName;
    }

    // 获取任务ID
    public Integer getId() {
        return id;
    }

    // 设置任务ID
    public void setId(Integer id) {
        this.id = id;
    }

    // 获取采购编号
    public String getPurchaseCode() {
        return purchaseCode;
    }

    // 设置采购编号
    public void setPurchaseCode(String purchaseCode) {
        this.purchaseCode = purchaseCode;
    }

    // 获取采购明细ID
    public Integer getPurchaseId() {
        return purchaseId;
    }

    // 设置采购明细ID
    public void setPurchaseId(Integer purchaseId) {
        this.purchaseId = purchaseId;
    }

    // 获取任务类型
    public Integer getJobType() {
        return jobType;
    }

    // 设置任务类型
    public void setJobType(Integer jobType) {
        this.jobType = jobType;
    }

    // 获取任务状态
    public Integer getJobStatus() {
        return jobStatus;
    }

    // 设置任务状态
    public void setJobStatus(Integer jobStatus) {
        this.jobStatus = jobStatus;
    }

    // 获取任务执行人
    public Integer getJobUser() {
        return jobUser;
    }

    // 设置任务执行人
    public void setJobUser(Integer jobUser) {
        this.jobUser = jobUser;
    }

    // 获取任务创建时间
    public Date getJobCreateTime() {
        return jobCreateTime;
    }

    // 设置任务创建时间
    public void setJobCreateTime(Date jobCreateTime) {
        this.jobCreateTime = jobCreateTime;
    }

    // 获取包装的产品
    public Integer getCdItemId() {
        return cdItemId;
    }

    // 设置包装的产品
    public void setCdItemId(Integer cdItemId) {
        this.cdItemId = cdItemId;
    }

    // 获取需要包装的份数
    public Integer getCountValue() {
        return countValue;
    }

    // 设置需要包装的份数
    public void setCountValue(Integer countValue) {
        this.countValue = countValue;
    }

    // 获取包装完成的份数
    public Integer getFinishValue() {
        return finishValue;
    }

    // 设置包装完成的份数
    public void setFinishValue(Integer finishValue) {
        this.finishValue = finishValue;
    }

    // 获取任务完成时间
    public Date getFinishTime() {
        return finishTime;
    }

    // 设置任务完成时间
    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    // 获取任务创建人
    public Integer getJobCreateUser() {
        return jobCreateUser;
    }

    // 设置任务创建人
    public void setJobCreateUser(Integer jobCreateUser) {
        this.jobCreateUser = jobCreateUser;
    }

    // 获取任务开始时间
    public Date getJobBeginTime() {
        return jobBeginTime;
    }

    // 设置任务开始时间
    public void setJobBeginTime(Date jobBeginTime) {
        this.jobBeginTime = jobBeginTime;
    }

    // 获取未完成的份数
    public Integer getNoFinishValue() {
        return noFinishValue;
    }

    // 设置未完成的份数
    public void setNoFinishValue(Integer noFinishValue) {
        this.noFinishValue = noFinishValue;
    }

    // 获取商品规格
    public String getSpec() {
        return spec;
    }

    // 设置商品规格
    public void setSpec(String spec) {
        this.spec = spec;
    }

    // 获取采摘人
    public String getCaizaiUser() {
        return caizaiUser;
    }

    // 设置采摘人
    public void setCaizaiUser(String caizaiUser) {
        this.caizaiUser = caizaiUser;
    }

    // 获取检测人
    public String getJianceUser() {
        return jianceUser;
    }

    // 设置检测人
    public void setJianceUser(String jianceUser) {
        this.jianceUser = jianceUser;
    }

    // 获取销售单位
    public String getSellUnit() {
        return sellUnit;
    }

    // 设置销售单位
    public void setSellUnit(String sellUnit) {
        this.sellUnit = sellUnit;
    }

    // 获取农残率
    public String getNongCanLv() {
        return nongCanLv;
    }

    // 设置农残率
    public void setNongCanLv(String nongCanLv) {
        this.nongCanLv = nongCanLv;
    }

    // 获取生产地
    public String getYieldly() {
        return yieldly;
    }

    // 设置生产地
    public void setYieldly(String yieldly) {
        this.yieldly = yieldly;
    }
}
